VRPlatformVRPlatform
ListingsOwnership periods

/listings/ownership-periods

Create a listing ownership period

POST
/listings/ownership-periods
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

listingId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
startAt?string|null
endAt?string|null
reserve?integer|null
members*
setListingInactive?boolean|null
businessModel?string|null
onConflict?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/listings/ownership-periods" \  -H "Content-Type: application/json" \  -d '{    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",    "members": [      {}    ]  }'
{
  "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
  "startAt": "string",
  "endAt": "string",
  "setListingInactive": true,
  "businessModel": "managed",
  "reserve": -9007199254740991,
  "members": [
    {
      "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
      "split": 100000
    }
  ],
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}